Bulk create tags
curl --request POST \
--url https://api.kit.com/v4/bulk/tags \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tags": [
{
"name": "Test Tag 0"
},
{
"name": "Test Tag 1"
},
{
"name": "Test Tag 2"
},
{
"name": "Test Tag 3"
}
],
"callback_url": null
}
'require 'uri'
require 'net/http'
url = URI("https://api.kit.com/v4/bulk/tags")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"tags\": [\n {\n \"name\": \"Test Tag 0\"\n },\n {\n \"name\": \"Test Tag 1\"\n },\n {\n \"name\": \"Test Tag 2\"\n },\n {\n \"name\": \"Test Tag 3\"\n }\n ],\n \"callback_url\": null\n}"
response = http.request(request)
puts response.read_bodyconst options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tags: [
{name: 'Test Tag 0'},
{name: 'Test Tag 1'},
{name: 'Test Tag 2'},
{name: 'Test Tag 3'}
],
callback_url: null
})
};
fetch('https://api.kit.com/v4/bulk/tags', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kit.com/v4/bulk/tags"
payload := strings.NewReader("{\n \"tags\": [\n {\n \"name\": \"Test Tag 0\"\n },\n {\n \"name\": \"Test Tag 1\"\n },\n {\n \"name\": \"Test Tag 2\"\n },\n {\n \"name\": \"Test Tag 3\"\n }\n ],\n \"callback_url\": null\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kit.com/v4/bulk/tags",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'tags' => [
[
'name' => 'Test Tag 0'
],
[
'name' => 'Test Tag 1'
],
[
'name' => 'Test Tag 2'
],
[
'name' => 'Test Tag 3'
]
],
'callback_url' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://api.kit.com/v4/bulk/tags"
payload = {
"tags": [{ "name": "Test Tag 0" }, { "name": "Test Tag 1" }, { "name": "Test Tag 2" }, { "name": "Test Tag 3" }],
"callback_url": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"tags": [
{
"id": 68,
"name": "Existing Tag",
"created_at": "2023-02-17T11:43:55Z"
},
{
"id": 69,
"name": "Attended Event",
"created_at": "2023-02-17T11:43:55Z"
},
{
"id": 70,
"name": "Newsletter",
"created_at": "2023-02-17T11:43:55Z"
},
{
"id": 71,
"name": "Re-engage",
"created_at": "2023-02-17T11:43:55Z"
}
],
"failures": []
}{}{
"errors": [
"The access token is invalid"
]
}{
"errors": [
"This request exceeds your queued bulk requests limit. Please wait while we process your existing requests and try again later."
]
}{
"errors": [
"No tags included for processing"
]
}Tags
Bulk create tags
See “Bulk & async processing” for more information.
POST
/
v4
/
bulk
/
tags
Bulk create tags
Authorizations
Authenticate API requests via an OAuth token
Was this page helpful?
⌘I